/* Most of the program paths does not include an absolute path. This will make the
 * system use the search path. I.e. it's a feature :-)
 */
#undef _PATH_CONF
#undef _PATH_DEBUG
#undef _PATH_DEVNULL	
#undef _PATH_DUMPFILE
#undef _PATH_NAMED
#undef _PATH_PIDFILE
#undef _PATH_STATS	
#define _PATH_CONF	"named.conf"	/* NOTE: cannot be dynamic without editing ns_main.c */
#define _PATH_DEBUG	"named.run"	/* NOTE: cannot be dynamic without editing ns_main.c */
#define _PATH_DEVNULL	"nul"					/* named/ns_config.c(2203)*/
#define _PATH_DUMPFILE	getos2path("TEMP","named_dump.db")	/* named/ns_config.c(800) */
#define _PATH_NAMED     "named"	
#define _PATH_PIDFILE   getos2path("ETC","named.pid")		/* named/ns_config.c(798) */
#define _PATH_STATS	getos2path("TEMP","named.stats")	/* named/ns_config.c(801) */

#undef _PATH_TMPXFER	
#undef _PATH_XFER
#undef _PATH_XFERDDT	
#undef _PATH_XFERTRACE	
#define _PATH_TMPXFER	"xfer.ddt.XXXXXX"	/* NOTE: cannot be dynamic without editing named-xfer.c(157) */
#define _PATH_XFER	"named-xfer"				/* named/ns_config.c(799) */
#define _PATH_XFERDDT	getos2path("TEMP","xfer.ddt")		/* named/ns_maint.c(520) */
#define _PATH_XFERTRACE	getos2path("TEMP","xfer.trace")		/* named/ns_maint.c(523) */

#undef _PATH_HOSTS
#undef _PATH_NETWORKS
#undef _PATH_PROTOCOLS
#undef _PATH_RESCONF
#undef _PATH_SERVICES
#define	_PATH_HOSTS	getos2path("ETC","hosts")	/* irs/lcl_ho.c(374)*/
#define	_PATH_IRS_CONF	getos2path("ETC","irs.conf")	/* irs/gen.c(307)*/
#define	_PATH_NETWORKS	getos2path("ETC","networks")	/* irs/lcl_nw.c(185)*/
#define	_PATH_PROTOCOLS	getos2path("ETC","protocol")	/* irs/lcl_pr.c(178)*/
#define _PATH_RESCONF	getos2path("ETC","resolv2")	/* resolv/res_init.c(241)*/
#define	_PATH_SERVICES	getos2path("ETC","services")	/* irs/lcl_sv.c(185)*/

/* PAGERCMD must be redifined since OS/2 "more" reads from stdin 
 * We place the help file in ETC, since tcpip/help can be diffucult to locate
 * (not even necessarily on the same disk as mptn/etc!)
 * Adding a slash to .nslookuprc since most people will SET HOME=x:\myhome
 * without a trailing slash.
 */
#undef _PATH_HELPFILE
#undef _PATH_NSLOOKUPRC
#undef _PATH_PAGERCMD
#define _PATH_PAGERCMD	"more<"					/* nslookup/main.c(326)  */
#define _PATH_HELPFILE	getos2path("ETC","nslookup.help")	/* nslookup/main.c(1058) */
#define _PATH_NSLOOKUPRC "/.nslookuprc"				/* nslookup/main.c(1110) */

#ifndef _PATHS_H
#define _PATHS_H

char *getos2path(char *sysvar, char *filename);

#endif	/* _PATHS_H */