#define USE_POSIX
#define POSIX_SIGNALS
#define USE_WAITPID
#define HAVE_FCHMOD	/* named-xfer.c(397) */
#define NEED_PSELECT
#define NEED_SETITIMER	/* setitimer.c(21) */
#undef HAVE_GETRUSAGE   /* named/ns_main.c(206) */
#undef F_DUPFD
#undef SO_LINGER	/* caused crash in named/ns_main.c(sq_openw()) */
#define SIOCGIFCONF_ADDR	/* Yup, it does	*/

#define PORT_NONBLOCK   O_NONBLOCK
#define PORT_WOULDBLK   EWOULDBLOCK
#define WAIT_T          int

#ifndef MIN
# define MIN(x, y)      ((x > y) ?y :x)
#endif
#ifndef MAX
# define MAX(x, y)      ((x > y) ?x :y)
#endif

/*
 * We need to know the IPv6 address family number even on IPv4-only systems.
 * Note that this is NOT a protocol constant, and that if the system has its
 * own AF_INET6, different from ours below, all of BIND's libraries and
 * executables will need to be recompiled after the system <sys/socket.h>
 * has had this type added.  The type number below is correct on most BSD-
 * derived systems for which AF_INET6 is defined.
 */
#ifndef AF_INET6
#define AF_INET6        24
#endif

#define NEED_STRSEP
extern char *strsep(char **, const char *);

#define NEED_DAEMON
int daemon(int nochdir, int noclose);

#define vfork fork
#define strcasecmp stricmp
#define strncasecmp strnicmp
#define setitimer __setitimer

/* Try using drive letters */
#include <stdlib.h>	/* to make sure that the library is included before we redefine getcwd */
#define getcwd _getcwd2
#define chdir _chdir2

/* Fix renaming to existing file */
#define rename rename_unixstyle

/* Not all source files do this so we include them here, too */
#include "paths.h"

/*
 * Solaris defines this in <netdb.h> instead of in <sys/param.h>.  We don't
 * define it in our <netdb.h>, so we define it here.
 */
#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 256
#endif
